/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.controller.mobile.json.loan;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
@XmlRootElement(name = "apcResponse")
public class GenericAPCResponserJaxb {

    private Boolean successful;
    private String message;
    private String idClosingDay;
    private String idSmallBox;
    private String idGeneralBox;
    private Boolean enabledSubmit;

    /**
     *
     */
    public GenericAPCResponserJaxb() {
    }

    /**
     *
     * @param successful
     * @param message
     */
    public GenericAPCResponserJaxb(Boolean successful, String message) {
        this.successful = successful;
        this.message = message;
    }

    @XmlElement(name = "successful")
    public Boolean getSuccessful() {
        return null == successful ? Boolean.FALSE : successful;
    }

    public void setSuccessful(Boolean successful) {
        this.successful = successful;
    }

    @XmlElement(name = "message")
    public String getMessage() {
        return null == message ? "" : message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    @XmlElement(name = "idClosingDay")
    public String getIdClosingDay() {
        return idClosingDay;
    }

    public void setIdClosingDay(String idClosingDay) {
        this.idClosingDay = idClosingDay;
    }

    @XmlElement(name = "idSmallBox")
    public String getIdSmallBox() {
        return idSmallBox;
    }

    public void setIdSmallBox(String idSmallBox) {
        this.idSmallBox = idSmallBox;
    }

    @XmlElement(name = "idGeneralBox")
    public String getIdGeneralBox() {
        return idGeneralBox;
    }

    public void setIdGeneralBox(String idGeneralBox) {
        this.idGeneralBox = idGeneralBox;
    }

    @XmlElement(name = "enabledSubmit")
    public Boolean getEnabledSubmit() {
        return null == enabledSubmit ? Boolean.FALSE : enabledSubmit;
    }

    public void setEnabledSubmit(Boolean enabledSubmit) {
        this.enabledSubmit = enabledSubmit;
    }

}
